#include <lpc23xx.h>
#include <RTL.h>
#include "LCD.h"

OS_TID  id1,id2;

__task void task1(void);
__task void task2(void);

int main(void)
{
lcd_init();					   
lcd_clear();				  
set_cursor(2,0);			   
lcd_print("2task Example");
FIO2DIR=0x000000FF;
os_sys_init_prio (task1,0x01);
	 
}
__task void task1(void){
   id1 = os_tsk_self ();
   id2 = os_tsk_create (task2,0x01);
   
	while(1)
	{

	FIO2SET=0x000000F0;
	FIO2CLR=0x0000000F;	
	os_dly_wait(50);	
	}

}
__task void task2(void){
	while(1)
	{
	
	FIO2SET=0x0000000F;
	FIO2CLR=0x000000F0;	
	os_dly_wait(50);

	}

}



